Subject: Re: [PATCH net-next v2 5/7] selftests: rds: Fix gcov and pcap collection

From: Jakub Kicinski <[email-masked]>
Date: Sat, 2 May 2026 09:38:58 -0700

On Fri, 01 May 2026 22:43:04 -0700 Allison Henderson wrote:
> > point #2 my vng does have an overlayfs mounted over /tmp so the
> > mountpoint check doesn't trigger IDK if this is what you meant 
> > or I have a different version.  
> 
> I did try using --overlay-rwdir, and I think that gives rw to the
> guest, but it's ro to the host, so we dont get to keep the pcaps post
> mortem.
> 
> What we can do, if it sounds ok to you, is set up a temp scratch area
> in the rds_logs folder so it's not mounting over /tmp, and then
> run.sh can handle the mount with a cleanup trap addressing Sashiko's
> concern
> 
> Let me know what you think?

Oh, you need these files for a post mortem analysis? I missed that
point. IDK if there's a well established way to save extra debug info
from the tests. runner has per_test_log_dir but I don't think it's
exposed to tests? Until ksft has such a thing I'd probably go with
an extra env variable to point the test to a specific dir.
Which dir will depend on the CI harness. If var is not set - don't
output the logs or use /tmp and clean up when test exits.